package cn.com.countrygarden.bi.main.model.performance.dto;

import java.util.List;

/**
 * 用于数据上报-手工录入页面的属性实体
 *
 * @Author:Wyman
 * @Date:2018/10/22
 */
public class PerformanceShowDataDto<T> {

    private List<T> dataList;//返回的数据集合

    private int total;//总记录数

    private int vacancy;//空缺数

    private List<String> nameList;//空缺地区名称

    public PerformanceShowDataDto(){

    }

    public PerformanceShowDataDto(List<T> dataList, int total, int vacancy, List<String> nameList) {
        this.dataList = dataList;
        this.total = total;
        this.vacancy = vacancy;
        this.nameList = nameList;
    }

    public List<T> getDataList() {
        return dataList;
    }

    public void setDataList(List<T> dataList) {
        this.dataList = dataList;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getVacancy() {
        return vacancy;
    }

    public void setVacancy(int vacancy) {
        this.vacancy = vacancy;
    }

    public List<String> getNameList() {
        return nameList;
    }

    public void setNameList(List<String> nameList) {
        this.nameList = nameList;
    }
}


